import {MangaReleaseStatus} from "./EnumMangaReleaseStatus";

export default interface IManga{
    mangaId: string;
    idOnConnectorSite: string;
    name: string;
    description: string;
    websiteUrl: string;
    year: number;
    originalLanguage: string;
    releaseStatus: MangaReleaseStatus;
    folderName: string;
    ignoreChapterBefore: number;
    mangaConnectorId: string;
    authorIds: string[];
    tags: string[];
    linkIds: string[];
    altTitleIds: string[];
}

export const DefaultManga : IManga = {
    mangaId: "Loading",
    idOnConnectorSite: "Loading",
    name: "Loading",
    description: "Loading",
    websiteUrl: "",
    year: 1999,
    originalLanguage: "en",
    releaseStatus: MangaReleaseStatus.Continuing,
    folderName: "Loading",
    ignoreChapterBefore: 0,
    mangaConnectorId: "Loading",
    authorIds: ["Loading"],
    tags: ["Loading"],
    linkIds: ["Loading"],
    altTitleIds: ["Loading"],
}